LV. 19
GP 84

【問題】WIN7 64位元無法執行幻三

樓主 林小狼 a0958897382
GP0 BP-
想請教各位大大們 有哪些方法能讓WIN7 64位元的作業系統跑幻三幻四系列呢?@@
我試了好久都一直找不到答案,用了Vitual Pc 還有RM什麼的,只要是虛擬主機的軟體我都有使用
途中我也想安裝雙系統,但是我現在的硬碟 並沒有多餘的空間可以安裝,在這種情況該如何解決呢?
0
-
LV. 29
GP 313
2 樓 麒麟淚 c3632571
GP0 BP-
你把遊戲安裝在
C:\Program Files (x86)
這個路徑試試看,如果沒有意外,應該可以
0
-
LV. 19
GP 84
3 樓 林小狼 a0958897382
GP0 BP-
※ 引述《c3632571 (麒麟淚)》之銘言
> 你把遊戲安裝在
> C:\Program Files (x86)
> 這個路徑試試看,如果沒有意外,應該可以

如果安裝在其它槽的話是沒辦法執行的嗎?
我回家在試看看,謝謝你的回覆
0
-
LV. 29
GP 313
4 樓 麒麟淚 c3632571
GP1 BP-
X64的系統比叫詭異一點...如果X86的程式在上面沒有安裝在指定路徑,有時候會有一些異常
 
NOTE:
x86本指的是CPU 286 386這一些,因為32位元系統開端剛好在這一個時期,所以,32位元的系統一般寫成x86而非x32而64位元,沒有這種背景因素,而又為了延用舊的格式,所以寫成x64
1
-
LV. 19
GP 84
6 樓 林小狼 a0958897382
GP0 BP-

還是不行耶 怎麼這樣= =
我的目標存放在"C:\Program Files (x86)\USERJOY\幻想三國誌3\FS3Loader.exe
是因為原先的預設我改到造成這樣嗎?還是我更新至1.0.1.2版才不能執行呢?
 
補充一下 :我的是普及版的
剛剛又試了一次 找到原因了
只要一更新就沒辦法執行,那如果不更新遇到bug 怎辬辦呢- -?
0
-
LV. 24
GP 38
7 樓 future dw7931425
GP0 BP-
以下是我曾經問過的問題,結論就是,你XX的修正檔到底在哪裡?

遊戲類別: 單機game 遊戲名稱: 幻想三國誌3
問題類別: 安裝/系統程式問題
細項問題:






問題內容:
留言內容 留言時間:2009/11/18 18:31:53
請問 幻三不能在w7企業版 64bit上面執行 這問題何時搞定 ?

可以順便推出可以視窗化的更新檔嗎?
留言內容 留言時間:2009/11/18 19:21:58
我倒是希望能夠支援新的作業系統
因為是程式去支援作業系統而不是作業系統去支援程式
這樣子 才會讓人覺得買正版是值得的
如果不支援 那乾脆用盜版就好了 就不會因為支援的問題而搞到自己都很累
留言內容 留言時間:2009/11/18 19:23:18
另外 可以看看遊戲討論區對於w7的支援討論
特別是64位元版本的作業系統
這討論串可以看一下
http://forum.gamer.com.tw/c.php?bsn=05088&sna=14676&tnum=2
處理狀況: 已處理
處理情形:
處理內容 處理時間:2009/11/18 18:40:21
親愛的玩家您好:

感謝您的回報。由於幻想三國誌3為一款較舊的遊戲,故最新的作業系統有可能無法支援,您的建議我們會為您反應給相關部門知道,謝謝。

宇峻奧汀客服團隊 敬上。
處理內容 處理時間:2009/11/18 19:48:22
親愛的玩家您好:感謝您的提問,客服人員已將您反應的問題轉告相關部門為您做查詢,感謝您對本遊戲的支持,如您往後進行遊戲有其他問題,歡迎您再次提問,宇峻奧汀客服團隊敬上。
處理內容 處理時間:2010/01/22 17:57:16
親愛的玩家您好:

感謝您的回報。關於您的案件,相關部門已經有所回應了!您的建議相關部門已經收到了,若未來有任何釋出相容性的更新檔,將會在官網開放讓玩家進行下載,建議您目前可先用適合的作業系統進行遊戲,謝謝。

宇峻奧汀客服團隊 敬上。
最後處理時間: 2010/1/22 下午 05:57:16
參考檔案: 無上傳檔案

0
-
LV. 29
GP 313
8 樓 麒麟淚 c3632571
GP0 BP-
關於更新的問題...我那時候也跟UJ磨很久.....
相信如果有注意的...應該我之前公布的那些回報有寫到....
UJ目前的態度,顯然只是打算唬弄過去就算了
現在...完全不再期待...哀莫大於心死.....
0
-
LV. 19
GP 84
9 樓 林小狼 a0958897382
GP0 BP-
※ 引述《c3632571 (麒麟淚)》之銘言
> 關於更新的問題...我那時候也跟UJ磨很久.....
> 相信如果有注意的...應該我之前公布的那些回報有寫到....
> UJ目前的態度,顯然只是打算唬弄過去就算了
> 現在...完全不再期待...哀莫大於心死.....
想請問一下 那最後有解決嗎??
我也有回報官方我的問題,他說 我的DirectX版本太新 無法執行 = =
建議要我用DX9.0版的...

0
-
LV. 24
GP 38
10 樓 future dw7931425
GP0 BP-
※ 引述《a0958897382 (林小狼)》之銘言
> 想請問一下 那最後有解決嗎??
> 我也有回報官方我的問題,他說 我的DirectX版本太新 無法執行 = =
> 建議要我用DX9.0版的...

宇峻的回答讓我質疑他們程式人員的素質...

W7 內建 DX11 他們會不知道??

這問題是他們,宇峻要去處理,不是全丟給玩家而他們的程式人員卻在那邊納涼等著領薪水!!
0
-
LV. 29
GP 313
11 樓 麒麟淚 c3632571
GP0 BP-
W7建置DX11
不過把光碟拿出來  安裝DX9.0C也是會發現,DX9.0C還是會安裝一些東西,也就是說有些元件是缺少的,所以,說DX版本不合也不完全沒道裡啦.....另外,新版本會向前相容,所以,一般來說 DX11的某個DLL原則上跟DX9.0C的同名DLL檔可以執行一些相似,原則上DX11執行DX9.0C的東西不會出問題的...所以,如果說DX11的再安裝DX9.0C補齊沒有的少量東西,這樣,在無法執行,推給DX版本就明顯不合理
0
-
LV. 19
GP 84
12 樓 林小狼 a0958897382
GP0 BP-
※ 引述《c3632571 (麒麟淚)》之銘言
> W7建置DX11
> 不過把光碟拿出來  安裝DX9.0C也是會發現,DX9.0C還是會安裝一些東西,也就是說有些元件是缺少的,所以,說DX版本不合也不完全沒道裡啦.....另外,新版本會向前相容,所以,一般來說 DX11的某個DLL原則上跟DX9.0C的同名DLL檔可以執行一些相似,原則上DX11執行DX9.0C的東西不會出問題的...所以,如果說DX11的再安裝DX9.0C補齊沒有的少量東西,這樣,在無法執行,推給DX版本就明顯不合理


謝謝你的解說,想請問一下如果本身電腦是DX11 再安裝光碟上的9.0版本是否會造成我原先DX11的影響呢? 因為我的顯示卡是ATI 5850...
還是說因為顯示卡太新 再加上更新至1.0.1.2版本因為某些DLL不相容,才導致我所出現的錯誤訊息呢?
 
0
-
LV. 29
GP 313
13 樓 麒麟淚 c3632571
GP0 BP-
DX是採用覆蓋式更新,同樣的選擇新的覆蓋舊的,而如線有版本已經是最新,則不會安裝那一項,所以,不會因為DX11安裝了DX9.0C就變成9.0C  還是保持11,這個過程只會安裝缺少的DLL
另外,應該跟顯示卡關係不大,我自己筆電顯示卡是NV G102M的,在W7就是不能玩,在WXP就完全沒問題,不能玩跟顯示卡和DX沒關係,應該是遊戲核心1.0.0.3以後版本針對WINDOWS NT 5.X的平台最佳化後造成的問題
0
-
LV. 24
GP 38
14 樓 future dw7931425
GP0 BP-
更新DX 只是把W7當初沒包含進去的元件給補齊或者是更新檔案..

如果我的映象沒錯的話..更新過後幻三好像也沒辦法在 Vista 32位元上面執行

奇怪的是..幻三發售那一年,Vista 也已經快要上市或者是已經上市...

而且,全部都推給 DX根本不合理...

當初 幻三對Vista 的支援性也很有問題...
0
-
LV. 19
GP 85
15 樓 林小狼 a0958897382
GP0 BP-
※ 引述《dw7931425 (future)》之銘言
> 更新DX 只是把W7當初沒包含進去的元件給補齊或者是更新檔案..
> 如果我的映象沒錯的話..更新過後幻三好像也沒辦法在 Vista 32位元上面執行
> 奇怪的是..幻三發售那一年,Vista 也已經快要上市或者是已經上市...
> 而且,全部都推給 DX根本不合理...
> 當初 幻三對Vista 的支援性也很有問題...

所以綜合大家的結論是 想要在win7 系統環境執行更新過後的幻想三國誌三是無解囉?
只能在xp環境下才有辦法執行是這樣嗎?
那除了幻三系列三代不行之外還有哪些也不行呢?@@
我手上擁有的是 1 2 3 4 代 ,1代我試過是能正常執行,2和4還沒試

0
-
LV. 24
GP 38
16 樓 future dw7931425
GP0 BP-
四代和四代外傳是可以在 W7 64位元上執行的

至於二代..我也沒試...

當初試三代就已經一肚子火了

火大到連一 二代都不想試...
0
-
LV. 29
GP 313
17 樓 麒麟淚 c3632571
GP1 BP-
※ 引述《a0958897382 (林小狼)》之銘言
> 所以綜合大家的結論是 想要在win7 系統環境執行更新過後的幻想三國誌三是無解囉?
> 只能在xp環境下才有辦法執行是這樣嗎?
> 那除了幻三系列三代不行之外還有哪些也不行呢?@@
> 我手上擁有的是 1 2 3 4 代 ,1代我試過是能正常執行,2和4還沒試

原則上,目前在W7要跑,除了虛擬機器外,目前無解...
不過有但書,就是虛擬機器要選對才能跑
3代只能用V1.0.0.3前版本,4和4外正常 1和2有SF的版本不行

1
-
LV. 7
GP 6
18 樓 鳴月 attyx65432
GP0 BP-
小的也是是很多次幻三...
結果也得到一樣的結論...
但是幻一和幻二都很成功地說...
不知道為什麼..= =
0
-
LV. 1
GP 0
19 樓 微迷 qw89348420
GP0 BP-
W7 64位元

安裝幻4的時候 一直跳出 移動資料時發生錯誤:-2147024894 檔案:fs4loader.exe
系統找不到指定檔案

我問官網 他卻故意把我改成幻4外傳...



    E-MAIL

    

    遊戲類別

    單機game

    遊戲名稱

    幻想三國誌4外傳 <<<我明明打4 他卻給我改外傳

    問題類別

    安裝/系統程式問題

    細項問題

    問題內容

    留言內容:
    留言時間:2012/07/18 23:44:09
    還是出現一樣的問題...

    如果沒有另一台電腦可以試幻想三國誌4的時候

    怎麼辦 有沒有什麼方法可以先試試看?!?

    一定只能 換台電腦試試看嗎 這樣我不是白白浪費了1千元...

    這遊戲很久了 我突然很想玩 現在卻遇到這種問題....

    處理狀況

    已處理

    處理情形

    處理內容:
    處理時間:2012/07/18 23:52:02
    親愛的玩家您好:

    感謝您的回報。幻想三國誌4外傳為幻想三國誌4的資料片,故玩家必須先行安裝幻想三國誌4,才能安裝執行幻想三國誌4外傳。故還需要您確認您的問題是:

    1.安裝幻想三國誌4出現問題
    2.安裝幻想三國誌4外傳卻無安裝幻想三國誌4而導致問題發生

    才能進一步確認您的情況。
     
    宇峻奧汀客服團隊 敬上。

    最後處理時間

    7/18/2012 11:52:02 PM

    參考檔案

    無上傳檔案

我該怎麼做 ˊˋ 花1千元... 卻只換來跟空白碟沒兩樣的東西
0
-
LV. 12
GP 11
20 樓 雲中帆 cloud6352
GP0 BP-
最近買了幻三 一套1-4+4外傳
本想從1開始玩起...
結果W7居然無法執行
花了1880
只能玩幻三4...
0
-
板務人員:歡迎申請板主

精華區有 2235 筆文章
目前無人維護,申請組長


face我們了解您不想看到廣告的心情⋯ 若您願意支持巴哈姆特永續經營,請將 gamer.com.tw 加入廣告阻擋工具的白名單中,謝謝 !【教學】